Subject: Re: [PATCH] commit: use config-based hooks (config-based hooks part II)

From: Josh Steadmon <[email-masked]>
Date: Tue, 15 Dec 2020 16:31:26 -0800

On 2020.10.14 16:25, Emily Shaffer wrote:
> As part of the adoption of config-based hooks, teach run_commit_hook()
> to call hook.h instead of run-command.h. This covers 'pre-commit',
> 'commit-msg', and 'prepare-commit-msg'. Additionally, ask the hook
> library - not run-command - whether any hooks will be run, as it's
> possible hooks may exist in the config but not the hookdir.
> 
> Signed-off-by: Emily Shaffer <[email-masked]>
> ---

Apart from the minor issues I noted on patches 8 & 10, this looks good
to me.

Reviewed-by: Josh Steadmon <[email-masked]>